Subject: 30.0.50; comint-mode does not always respect the read-only flag

From: Dima Kogan <[email-masked]>
Date: Fri, 15 Mar 2024 13:07:40 -0700

Hi. Here's a recipe:

1. emacs -Q

2. M-x shell

3. Observe that the shell is live. You can run commands, and the
   inferior process responds

4. C-x C-q

   Turns on read-only-mode

5. Observe that we now cannot interact with the shell since it's
   read-only. We can C-x C-q again to make it work again. Before step 6,
   C-x C-q again, to make it read-only

6. C-d

   This normally exits the shell. But if we're read-only, it shouldn't
   do that. I see that it still works, despite being read-only.

I'm observing this with all comint-based modes, not just shell-mode.

Thanks!